require 'snowman-io/loop/check_processor'
require 'snowman-io/loop/checks_perform'

module SnowmanIO
  module Loop
    class Checks
      include Celluloid

      def initialize
        after(1) { tick }
      end

      def tick
        App.time "Checks Performing Time" do
          ChecksPerform.perform
        end
        after(3) { tick }
      end
    end
  end
end
