module SnowmanIO
  module Loop
    class Main
      include Celluloid

      def initialize
        after(1) { tick }
      end

      def tick
        perform
        after(3) { tick }
      end

      private

      def perform
        App.time "Aggregation Time" do
          Aggregate.metrics_aggregate_5min
          Aggregate.metrics_aggregate_hour
          Aggregate.metrics_aggregate_daily
          Aggregate.metrics_clean_old
        end
      end
    end
  end
end
