module SnowmanIO
  module Loop
    class Spiders
      include Celluloid

      def initialize
        after(5) { tick }
      end

      def tick
        App.time "Spiders Performing Time" do
          perform
        end
        after(30) { tick }
      end

      private

      def perform
        Spider::InternalMongo.new.grab
        Spider::Mps.new.grab
      end
    end
  end
end
