module SnowmanIO
  module Spider
    # store internal mongo metrics
    class InternalMongo
      def grab
        stats = Mongoid::Sessions.default.command(dbstats: 1)
        App.value("Mongo dataSize", stats["dataSize"])
        App.value("Mongo storageSize", stats["storageSize"])
        App.value("Mongo nsSizeMB", stats["nsSizeMB"])
      end
    end
  end
end
